<?php

/*
=====================================================================

  프로젝트 이름 : 피리 웹프로그램

  만든사람 : 피리 PIREE ( piree1977@gmail.com )

  홈페이지 : www.piree.kr

  작업날짜 : 2024년 04월 07일 일요일 오후 20시 26분 / 맑음, 19.0, 일교차 주의, 22, 6, 0%, 0%, 1.3ms / 상당히 나쁨, 77, 43, 0.012

  저 작 권 : Copyright ⓒ 2014-2023 피리 piree.kr All right reserved
            그누보드 외에 추가된 소스는~
            만든사람의 허락없이 무단으로 사용할수 없습니다.
            사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
            http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 > 피리 기본 관리 > 라이브러리 > 카테고리 > SMALLINT > 2단계
=====================================================================


*/

  IF (!defined('_GNUBOARD_'))                      EXIT;

  function get_category_record_map_smallint2($fnc_mb_id)
  {

      global $piree_prog_a;

      $in_link_s = "";

      IF ( $fnc_mb_id )
      {

          $in_link_s  = piree__url($piree_prog_a[770100]['num'], 'member_category_record.php');
          $in_link_s .= '?mem_id='. $fnc_mb_id;

      }

      return $in_link_s;

  }

  function get_category_row_smallint2($cate_n, $func_fd_c='')
  {

      global $piree;

      $category_arr = array();

      IF ( $cate_n > 0 )
      {

          $sql  = "SELECT ". $func_fd_c ." FROM `". $piree['category'] ."` ";
          $sql .= "WHERE `cate_n` = '". $cate_n ."'";
          $res  = sql_fetch($sql);

          IF ( $res['category_kor_p'] )
          {

              $res['category_kor_p2'] = str_replace('--', ' > ', $res['category_kor_p']);

          }

      }

      return $res;

  }

  function get_category_upper_smallint2($cate_n)
  {

      global $piree;

      $category_i_a = array();

      IF ( !$cate_n || $cate_n == 0 )
      {
          return false;
      }

      $category_i_a[1] = floor($cate_n/100) * 100;
      $category_i_a[2] = floor($cate_n/1) * 1;

      IF ( $cate_n == $category_i_a[1] )
      {

          $category_i_a[0] = 1;

          $category_i_a[2] = 0;

          $category_i_a[6] = $category_i_a[1] .'--';

      }
      ELSE IF ( $cate_n == $category_i_a[2] )
      {

          $category_i_a[0] = 2;

          $category_i_a[6] = $category_i_a[1] .'--'. $category_i_a[2] .'--';

      }

      return $category_i_a;

  }

  function get_category_sql_where_smallint2($cate_num_a, $sql_fd_s, $cate_n = 0, $get_children = 0)
  {

      global $piree;

      IF ( !$sql_fd_s )
      {
          return false;
      }

      $sql_where_a = array();

      FOR ( $loop_n=1; $loop_n<3; $loop_n++)
      {

          IF ( $cate_num_a[$loop_n] > 0 )
          {

              $sql_where_a[] = "`". $sql_fd_s ."` = '". $cate_num_a[$loop_n] ."'";

          }

      }

      $sql_where_s = implode(' OR ', $sql_where_a);

      IF ( $get_children == 1 )
      {

          IF ( $cate_n > 0 )
          {

              $sql_where_s .= " OR `cate_parent_n` = '". $cate_n ."'";

          }

      }

      return $sql_where_s;

  }

  function get_cate_name_path_smallint2($cate_num_a, $sql_where_s)
  {

      global $piree;

      IF ( !$cate_num_a )
      {
          return false;
      }

      IF ( !$sql_where_s )
      {
          return false;
      }

      $category_str_a[0] = '';
      $category_str_a[1] = '';
      $category_str_a[2] = '';
      $category_str_a[6] = '';

      $category_kor_p = '';

      $sql  = "SELECT `cate_n`, `category_s`, `cate_depth_n` FROM `". $piree['category'] ."` ";
      $sql .= "WHERE ". $sql_where_s ." ORDER BY `cate_n` ASC";
      $result = sql_query($sql);

      WHILE ( $res = sql_fetch_array($result) )
      {

          IF ( $res['cate_n'] > 0 )
          {

              IF ( $res['category_s'] )
              {

                  $in_depth_n = $res['cate_depth_n'];

                  $in_category_s = clean_str($res['category_s']);

                  $category_str_a[$in_depth_n] = $in_category_s;

                  $category_kor_p .= $in_category_s .'--';

              }

          }

      }

      $category_str_a[6] = $category_kor_p;

      return $category_str_a;

  }

  function get_new_cate_num_smallint2($parent_cate_n, $depth_n)
  {

      global $piree;

      IF ( !$depth_n || $depth_n == 0 )
      {
          return false;
      }

      IF ( !$parent_cate_n )
      {
          $parent_cate_n = 0;
      }

      IF ( $depth_n > 1 )
      {

          IF ( $parent_cate_n == 1 )
          {
              return false;
          }

      }

      $sql  = "SELECT MAX(`cate_n`) FROM `". $piree['category'] ."` ";
      $sql .= "WHERE `cate_parent_n` = '". $parent_cate_n ."' AND `cate_depth_n` = '". $depth_n ."'";
      $temp_n = sql_efv($sql);

      IF ( !$temp_n )
      {

          $temp_n = $parent_cate_n;

      }

      $new_cate_n = 0;

      SWITCH ( $depth_n )
      {
          CASE 1 :          $new_cate_n = $temp_n + 100;                BREAK;
          CASE 2 :          $new_cate_n = $temp_n + 1;                  BREAK;
      }

      return $new_cate_n;

  }

  function get_category_range_smallint2($cate_n, $cate_depth_n, $sql_fd_s)
  {

      global $piree;

      IF ( !$cate_n )
      {
          return false;
      }

      IF ( !$cate_depth_n )
      {

          $sql  = "SELECT cate_depth_n FROM `". $piree['category'] ."` ";
          $sql .= "WHERE `cate_n` = '". $cate_n ."'";
          $cate_depth_n = sql_efv($sql);

      }

      $range_a[0] = $cate_n;
      $range_a[1] = "";
      $range_a[2] = "";
      $range_a[3] = "";

      SWITCH ( $cate_depth_n )
      {
          CASE 1 :          $range_a[1] = $cate_n + 99;                BREAK;
          CASE 2 :          $range_a[1] = $cate_n;                    BREAK;
      }

      IF ( $sql_fd_s )
      {

          IF ( $cate_n )
          {

              IF ( $range_a[1] > $cate_n )
              {

                  $range_a[2] = "(`". $sql_fd_s ."` BETWEEN '". $cate_n ."' AND '". $range_a[1] ."')";
                  $range_a[3] = "(`". $sql_fd_s ."` BETWEEN '". ($cate_n+1) ."' AND '". $range_a[1] ."')";

              }
              ELSE
              {

                  $range_a[2] = "`". $sql_fd_s ."` = '". $cate_n ."'";
                  $range_a[3] = "";

              }

          }

      }

      return $range_a;

  }

  function get_sub_category_count_depth_smallint2($category_i_a, $cate_n)
  {

      global $piree;

      IF ( !count($category_i_a) )
      {
          return false;
      }

      IF ( !$cate_n )
      {
          return false;
      }

      FOR ( $i=1; $i<6; $i++ )
      {

          IF ( $category_i_a[$i] > 0 )
          {

              IF ( $cate_n != $category_i_a[$i] )
              {

                  get_sub_category_count_single_smallint2($category_i_a[$i], $i, 1);

              }

          }

      }

  }

  function get_sub_category_count_single_smallint2($cate_n, $cate_depth_n, $is_db_update = 0)
  {

      global $piree;

      IF ( !$cate_n )
      {
          return false;
      }

      $range_a = get_category_range_smallint2($cate_n, $cate_depth_n, 'cate_n');

      $sql  = "SELECT COUNT(*) FROM `". $piree['category'] ."` ";
      $sql .= "WHERE ". $range_a[3];
      $cate_sub_t = (int)sql_efv($sql);

      IF ( $is_db_update == 1 )
      {

          $sql_update  = "UPDATE `". $piree['category'] ."` SET ";
          $sql_update .= "`cate_sub_t` = '". $cate_sub_t ."' ";
          $sql_update .= "WHERE `cate_n` = '". $cate_n ."'";

          IF ( !sql_query($sql_update) )
          {
              alert ("[ ". $cate_n ." ] 카테고리의 하위카테고리 수를 새로고침하지 못했습니다.");
          }

      }

      return $cate_sub_t;

  }

  function set__colorbox_css_js()
  {

  // add_stylesheet('css 구문', 출력순서); 숫자가 작을 수록 먼저 출력됨
      add_stylesheet('<link rel="stylesheet" href="http://.jacklmoore.com/colorbox/example3/colorbox.css">', 0);

  // add_javascript('js 구문', 출력순서); 숫자가 작을 수록 먼저 출력됨
      add_javascript('<script src="http://.jacklmoore.com/colorbox/jquery.colorbox.js"></script>', 75);

  }

/*

  function get__0000($0000)
  {

      global $piree;

      IF (  )
      {

      }

      return $aaaa;

  }

  function get__0000($0000)
  {

      global $piree;

      IF (  )
      {

      }

      return $aaaa;

  }

*/

?>